Bug 54315 - update archivers/p5-Archive-Tar
Summary: update archivers/p5-Archive-Tar
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-10 12:40 UTC by Mathieu Arnold
Modified: 2003-07-10 14:34 UTC (History)
1 user (show)

See Also:


Attachments
p5-Archive-Tar-1.03.diff (4.32 KB, patch)
2003-07-10 12:40 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold 2003-07-10 12:40:17 UTC
Update archivers/p5-Archive-Tar to 1.03
Add WWW
Comment 1 Roman Shterenzon 2003-07-10 13:34:30 UTC
So be it :)

--- Mathieu Arnold <m@absolight.net> wrote:
> 
> >Submitter-Id:	current-users
> >Originator:	Mathieu Arnold
> >Organization:	Absolight
> >Confidential:	no 
> >Synopsis:	update archivers/p5-Archive-Tar
> >Severity:	non-critical 
> >Priority:	low 
> >Category:	ports
> >Class:		update 
> >Release:	FreeBSD 4.8-RELEASE i386
> >Environment:
> System: FreeBSD aragorn.reaumur.absolight.net
> 4.8-RELEASE FreeBSD 4.8-RELEASE #0: Thu Apr 10
> 13:45:07 CEST 2003
>
root@aragorn.reaumur.absolight.net:/usr/obj/usr/src/sys/ARAGORN
> i386
> 
> >Description:
> Update archivers/p5-Archive-Tar to 1.03
> Add WWW
> >How-To-Repeat:
> >Fix:
> 
> --- p5-Archive-Tar-1.03.diff begins here ---
> Index: Makefile
>
===================================================================
> RCS file:
> /home/ncvs/ports/archivers/p5-Archive-Tar/Makefile,v
> retrieving revision 1.6
> diff -u -r1.6 Makefile
> --- Makefile	21 Feb 2003 10:42:56 -0000	1.6
> +++ Makefile	10 Jul 2003 11:31:03 -0000
> @@ -6,23 +6,28 @@
>  #
>  
>  PORTNAME=	Archive-Tar
> -PORTVERSION=	0.23
> +PORTVERSION=	1.03
>  CATEGORIES=	archivers perl5
>  MASTER_SITES=	${MASTER_SITE_PERL_CPAN}
>  MASTER_SITE_SUBDIR=	Archive
>  PKGNAMEPREFIX=	p5-
> -EXTRACT_SUFX=	.tgz
>  
>  MAINTAINER=	roman@xpert.com
>  COMMENT=	Perl module for creation and manipulation
> of tar files
>  
> -BUILD_DEPENDS= 
>
${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/Test/More.pm:${PORTSDIR}/devel/p5-Test-Simple
> -RUN_DEPENDS=	${BUILD_DEPENDS} \
> -	
>
${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/${PERL_ARCH}/Compress/Zlib.pm:${PORTSDIR}/archivers/p5-Compress-Zlib
> -
> +RUN_DEPENDS=
>
${SITE_PERL}/${PERL_ARCH}/Compress/Zlib.pm:${PORTSDIR}/archivers/p5-Compress-Zlib
> +BUILD_DEPENDS=	${RUN_DEPENDS} \
> +	
>
${SITE_PERL}/Test/More.pm:${PORTSDIR}/devel/p5-Test-Simple
> +		
>  PERL_CONFIGURE=	YES
>  
> -MAN3=		Archive::Tar.3 Archive::Tar::Win32.3
> -MANPREFIX=	${PREFIX}/lib/perl5/${PERL_VERSION}
> +MAN3=		Archive::Tar.3 Archive::Tar::File.3
> +
> +.include <bsd.port.pre.mk>
> +
> +.if ${PERL_LEVEL} < 500600
> +BUILD_DEPENDS+=
>
${SITE_PERL}/File/Spec.pm:${PORTSDIR}/devel/p5-File-Spec
> +RUN_DEPENDS+=
>
${SITE_PERL}/File/Spec.pm:${PORTSDIR}/devel/p5-File-Spec
> +.endif
>  
> -.include <bsd.port.mk>
> +.include <bsd.port.post.mk>
> Index: distinfo
>
===================================================================
> RCS file:
> /home/ncvs/ports/archivers/p5-Archive-Tar/distinfo,v
> retrieving revision 1.2
> diff -u -r1.2 distinfo
> --- distinfo	5 Feb 2003 10:04:34 -0000	1.2
> +++ distinfo	10 Jul 2003 11:31:03 -0000
> @@ -1 +1 @@
> -MD5 (Archive-Tar-0.23.tgz) =
> e8b73ec9e7925ab84461fc9ecb23bd9b
> +MD5 (Archive-Tar-1.03.tar.gz) =
> 0ca42d658ae28d6c7df371d07b0b83ea
> Index: pkg-descr
>
===================================================================
> RCS file:
>
/home/ncvs/ports/archivers/p5-Archive-Tar/pkg-descr,v
> retrieving revision 1.1
> diff -u -r1.1 pkg-descr
> --- pkg-descr	19 Dec 2000 09:48:13 -0000	1.1
> +++ pkg-descr	10 Jul 2003 11:31:03 -0000
> @@ -1,11 +1,11 @@
> -Perl module for creation and manipulation of tar
> files.
> +Archive::Tar provides an object oriented mechanism
> for handling tar files. It
> +provides class methods for quick and easy files
> handling while also allowing
> +for the creation of tar file objects for custom
> manipulation. If you have the
> +IO::Zlib module installed, Archive::Tar will also
> support compressed or gzipped
> +tar files. 
>  
> -This module uses no C-coded parts in itself, but it
> will try to use
> -the Compress::Zlib module to read and write gzipped
> tarfiles.
> -Archive::Tar will still work without Zlib, it will
> just complain a
> -little bit (and, of course, not be able to use
> compression). The
> -complaining will be removed when the module leaves
> the alpha stage,
> -and can be trivially removed by commenting out the
> offending print
> -near the top of Tar.pm.
> +An object of class Archive::Tar represents a
> .tar(.gz) archive full of files
> +and things. 
>  
>  Roman Shterenzon <roman@xpert.com>
> +WWW: http://search.cpan.org/dist/Archive-Tar/
> Index: pkg-plist
>
===================================================================
> RCS file:
>
/home/ncvs/ports/archivers/p5-Archive-Tar/pkg-plist,v
> retrieving revision 1.2
> diff -u -r1.2 pkg-plist
> --- pkg-plist	5 Feb 2003 10:04:35 -0000	1.2
> +++ pkg-plist	10 Jul 2003 11:31:03 -0000
> @@ -1,9 +1,8 @@
> -bin/ptar
> -lib/perl5/site_perl/%%PERL_VER%%/Archive/Tar/Std.pm
>
-lib/perl5/site_perl/%%PERL_VER%%/Archive/Tar/Win32.pm
> -lib/perl5/site_perl/%%PERL_VER%%/Archive/Tar.pm
>
-lib/perl5/site_perl/%%PERL_VER%%/%%PERL_ARCH%%/auto/Archive/Tar/.packlist
> -@dirrm
>
lib/perl5/site_perl/%%PERL_VER%%/%%PERL_ARCH%%/auto/Archive/Tar
> -@dirrm lib/perl5/site_perl/%%PERL_VER%%/Archive/Tar
> -@unexec rmdir
> %D/lib/perl5/site_perl/%%PERL_VER%%/Archive
> 2>/dev/null || true
> -@unexec rmdir
>
%D/lib/perl5/site_perl/%%PERL_VER%%/%%PERL_ARCH%%/auto/Archive
> 2>/dev/null || true
> +%%SITE_PERL%%/Archive/Tar.pm
> +%%SITE_PERL%%/Archive/Tar/Constant.pm
> +%%SITE_PERL%%/Archive/Tar/File.pm
>
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Archive/Tar/.packlist
> +@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Archive/Tar
> +@unexec rmdir
> %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/Archive
> 2>/dev/null || true
> +@dirrm %%SITE_PERL%%/Archive/Tar
> +@unexec rmdir %D/%%SITE_PERL%%/Archive 2>/dev/null
> || true
> --- p5-Archive-Tar-1.03.diff ends here ---
> 
> 


__________________________________
Do you Yahoo!?
SBC Yahoo! DSL - Now only $29.95 per month!
http://sbc.yahoo.com
Comment 2 Erwin Lansing freebsd_committer 2003-07-10 14:34:31 UTC
State Changed
From-To: open->closed

Committed, thanks!